Ask Your Question
1

Installing autokey-py3 on Fedora 24

asked 2017-06-06 08:30:42 -0500

josephj11 gravatar image

I'm trying to assist a user to install autokey-py3 version 0.93.10 on Fedora 24.

AFAIK, Fedora/dnf appears to have only the (very) old version - 0.90.4. That version is not currently being developed and has significant usage issues - especially around using multi-byte character sets.

If someone has figured out a good way to install the newer version on Fedora, I would very much appreciate hearing about it as I am currently trying to help a user install it over on the AutoKey list - and it is not going very well. (I use Ubuntu, so I'm not current on how things work in Fedora.)

Installing it as a system package - available to all users - would be preferred, but anything that works will do.

We have tried installing it using pip3, but there appear to be problems with things like permissions and paths. I'm a Python/pip beginner.

It would be great if the people who package Fedora would consider replacing the old version with the new one as it has a number of fixes and enhancements which would be beneficial to users in addition to it being updated to use Python 3.x instead of 2.7. It also has an active developer.

Thanks.

edit retag flag offensive close merge delete

Comments

Hello, Can you please share the error you are receiving when installing from pip3 ? Usually when fedora has a python library available in packages, it will be used internally by another package as a dependency.

elsaso gravatar imageelsaso ( 2017-06-06 11:44:56 -0500 )edit

probably the best way would be updating specfile of the old package already in fedora and rebuild it.

fcomida gravatar imagefcomida ( 2017-06-06 17:27:36 -0500 )edit

Sorry for not responding sooner. Didn't get notified of these comments and answer. I will follow up if I can still reach the user.

josephj11 gravatar imagejosephj11 ( 2017-08-23 04:23:03 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2017-06-09 11:56:30 -0500

Why pip3 isn't installation pushed as: 1) git clone https://github.com/autokey-py3/autokey 2) sudo python3 setup.py

I personally use 0.90.4 but I can try installing the newer version.

edit flag offensive delete link more

Comments

I will followup if I can reach the user. If you can, I would highly recommend checking out autokey-py3 (0.93.10). Mouse events work, international character sets work much better, lots of bug fixes, and there's a new feature which allows you to position the mouse cursor using an image search of the page so you can access things that you can't get to with the keyboard alone.

josephj11 gravatar imagejosephj11 ( 2017-08-23 04:30:20 -0500 )edit

I don't want to drag out all the specifics. I directed the user to pick up the discussion here. It was about dependencies that setup.py did not or could not install.

josephj11 gravatar imagejosephj11 ( 2017-08-23 04:46:43 -0500 )edit
0

answered 2017-11-02 08:42:08 -0500

bivalence gravatar image

I got this working today on Fedora 26 by installing dbus-devel and dbus-glib-devel with dnf before doing the pip install (pip3 install --user git+https://github.com/autokey-py3/autokey). I also installed dbus-python-devel, but I don't think that made a difference.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-06-06 08:30:42 -0500

Seen: 338 times

Last updated: Nov 02 '17